Skip to main content
GET
/
v1
/
sessions
/
{id}
Get a Session
curl --request GET \
  --url https://api.browserbase.com/v1/sessions/{id} \
  --header 'X-BB-API-Key: <api-key>'
{
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "projectId": "<string>",
  "startedAt": "2023-11-07T05:31:56Z",
  "expiresAt": "2023-11-07T05:31:56Z",
  "status": "RUNNING",
  "proxyBytes": 123,
  "keepAlive": true,
  "region": "us-west-2",
  "endedAt": "2023-11-07T05:31:56Z",
  "contextId": "<string>",
  "userMetadata": {},
  "connectUrl": "<string>",
  "seleniumRemoteUrl": "<string>",
  "signingKey": "<string>"
}

Authorizations

X-BB-API-Key
string
header
required

Path Parameters

id
string
required

Response

200 - application/json

The request has succeeded.

id
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
projectId
string
required

The Project ID linked to the Session.

startedAt
string<date-time>
required
expiresAt
string<date-time>
required
status
enum<string>
required
Available options:
RUNNING,
ERROR,
TIMED_OUT,
COMPLETED
proxyBytes
integer
required

Bytes used via the Proxy

keepAlive
boolean
required

Indicates if the Session was created to be kept alive upon disconnections

region
enum<string>
required

The region where the Session is running.

Available options:
us-west-2,
us-east-1,
eu-central-1,
ap-southeast-1
endedAt
string<date-time>
contextId
string

Optional. The Context linked to the Session.

userMetadata
object

Arbitrary user metadata to attach to the session. To learn more about user metadata, see User Metadata.

connectUrl
string<uri>

WebSocket URL to connect to the Session.

seleniumRemoteUrl
string<uri>

HTTP URL to connect to the Session.

signingKey
string

Signing key to use when connecting to the Session via HTTP.